# oneM2M TR-0071 Specification

This repository hosts the oneM2M TR-0071 specification defined by oneM2M Partnership project.

Please, contact the rapporteur, RAPPORTEUR_NAME (RAPPORTEUR_EMAIL), if you need any help with this specification/repository.

## Available versions

All available baselines produced from this repository are available at [TR-0071 Website](https://specifications.onem2m.org/TR-0071/) (**URL available only if there is at least one baseline**)
Different downloadable formats are available under Download tab

## How to raise issues

Please report errors, bugs or other issues [here](https://git.onem2m.org/specifications/TR-0071/issues) or [here](https://git.onem2m.org/issues/issues).

## How to contribute

oneM2M permits the use of Gitlab to manage contributions to this specification.
For more information, visit the [oneM2M Gitlab contribution procedure](https://git.onem2m.org/tools/contribution-procedure).

## Available tools

A set of tools is used by this repository to facilitate the contribution management:

- Autogeneration of Word CR documents:
    - Upon creation of a Merge Request, a pipeline is executed to produce the associated Word CR documents:
        - Main document contains the git diff proposed by the Merge Request.
		- Second document contains the tracked changes proposed by the Merge Request. Note that this is for information and it won't be generated anymore in the near future.
    - Right after creation of a Merge Request, the source branch needs to be protected in order to avoid any further change to the submitted contribution.
	  Automated branch protection is disabled for the time being. 
	  
	  **EXTREMELY IMPORTANT TO CHECK THAT SUBMITTED CONTRIBUTION AND MERGE REQUEST CORRESPOND TO THE SAME LAST COMMIT ID**

- Publication of a new baseline
    - Upon creation of tag, a new version of the spec will be added to the TR-0071 Website and corresponding downloadable documents will also be generated from the markdown specification in this repository
    - As Table of Content is not used in the markdown specfication document of this repository, a tool will generate the ToC and add it to the any new published baseline.

Please, refer to [Tools/Scripts repository](https://git.onem2m.org/tools/scripts) for more details.

Some known issues:

- Generation of Word CR:
    - Additions/deletions of images will not appear as tracked change in the Word CR
    - Additions/deletions of a list of elements will make the list appearing as not enumerated in the Word CR
    - Changes in the first row of a table will break the conversion of such table to Word, the markdown table source code will be seen
    - Changes in clause titles will break the conversion of corresponding headings to Word, the markdown heading code will be seen

- Protection of the contribution branch
    - It needs to be done manually (for the time being) by the Rapporteur of the TR-0071 specification
	- If a revision is needed for the contribution, contribution branch needs to be unprotected by the Rapporteur