
![~~CAPTION~~](media/logo.png)


+----------------------------------------------------------------+
|**oneM2M** \                                                    |
|**Technical** **Report**                                        |
+:================+:=============================================+
|Document Number  |oneM2M-TR-0071-V-0.0.1                        |
+-----------------+----------------------------------------------+
|Document Name:   |AI enablement to oneM2M                       |
+-----------------+----------------------------------------------+
|Date:            |&lt;20yy-mm-dd>                               |
+-----------------+----------------------------------------------+
|Abstract:        |&lt; An abstract of the document and          |
|                 |information that may be used in subsequent    |
|                 |electronic searches>                          |
+-----------------+----------------------------------------------+
|Template Version: January 2020 (Do not modify)                  |
+----------------------------------------------------------------+



The present document is provided for future development work within oneM2M only. The Partners accept no liability for any use of this report.

The present document has not been subject to any approval process by the oneM2M Partners Type 1.  Published oneM2M specifications and reports for implementation should be obtained via the oneM2M Partners' Publications Offices.



About oneM2M 

The purpose and goal of oneM2M is to develop technical specifications which address the need for a common M2M Service Layer that can be readily embedded within various hardware and software, and relied upon to connect the myriad of devices in the field with M2M application servers worldwide. 

More information about oneM2M may be found at:  http//www.oneM2M.org



Copyright Notification

(c) 2020, oneM2M Partners Type 1 (ARIB, ATIS, CCSA, ETSI, TIA, TSDSI, TTA, TTC).

All rights reserved.

The copyright and the foregoing restriction extend to reproduction in all media.



Notice of Disclaimer & Limitation of Liability 

The information provided in this document is directed solely to professionals who have the appropriate degree of experience to understand and interpret its contents in accordance with generally accepted engineering or other professional standards and applicable regulations. No recommendation as to products or vendors is made or should be implied. 

NO REPRESENTATION OR WARRANTY IS MADE THAT THE INFORMATION IS TECHNICALLY ACCURATE OR SUFFICIENT OR CONFORMS TO ANY STATUTE, GOVERNMENTAL RULE OR REGULATION, AND FURTHER, NO REPRESENTATION OR WARRANTY IS MADE OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR AGAINST INFRINGEMENT OF INTELLECTUAL PROPERTY RIGHTS. NO oneM2M PARTNER TYPE 1 SHALL BE LIABLE, BEYOND THE AMOUNT OF ANY SUM RECEIVED IN PAYMENT BY THAT PARTNER FOR THIS DOCUMENT, WITH RESPECT TO ANY CLAIM, AND IN NO EVENT SHALL oneM2M BE LIABLE FOR LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES. oneM2M EXPRESSLY ADVISES ANY AND ALL USE OF OR RELIANCE UPON THIS INFORMATION PROVIDED IN THIS DOCUMENT IS AT THE RISK OF THE USER.


# Contents

# 1 Scope
The present document ...


`EXAMPLE:    The present document provides the necessary adaptions to the endorsed document.`  

<mark>The Scope shall not contain requirements.</mark>


# 2 References
<mark>The following text block applies.</mark>

References are either specific (identified by date of publication and/or edition number or version number) or nonspecific. For specific references,only the cited version applies. For non-specific references, the latest version of the referenced document (including any amendments) applies.


## 2.1 Normative references
<mark>As a Technical Report (TR) is entirely informative it shall not list normative references.</mark>

The following referenced documents are necessary for the application of the present document.

Not applicable.


## 2.2 Informative references
<mark>Clause 2.2 shall only contain informative references which are cited in the document itself.</mark>

The following referenced documents are not necessary for the application of the present document but they assist the user with regard to a particular subject area.

- <a name="_ref_i.1">[i.1]</a>    oneM2M Drafting Rules  [https://member.onem2m.org/static_Pages/others/Rules_Pages/oneM2M-Drafting-Rules-V1%202%202.doc](https://member.onem2m.org/static_Pages/others/Rules_Pages/oneM2M-Drafting-Rules-V1%202%202.doc)


# 3 Definition of terms, symbols and abbreviations
<mark>Delete from the above heading the word(s) which is/are not applicable.</mark>


## 3.1 Terms
<mark>Clause numbering depends on applicability.</mark>


-  <mark>A definition shall not take the form of, or contain, a requirement.</mark>
-  <mark>The form of a definition shall be such that it can replace the term in context. Additional information shall be given only in the form of examples or notes (see below).</mark>
-  <mark>The terms and definitions shall be presented in alphabetical order.</mark>

For the purposes of the present document, the [following] terms and definitions [given in ... and the following] apply:

<mark>Definition format</mark>

<mark>&lt;defined term>: &lt;definition></mark>

<mark>If a definition is taken from an external source, use the format below where [N] identifies the external document which must be listed in Section 2 References.</mark>

<mark>&lt;defined term>[N]: &lt;definition></mark>

<mark>example 1: text used to clarify abstract rules by applying them literally</mark>

> NOTE:    This may contain additional information.

## 3.2 Symbols

<mark>Clause numbering depends on applicability.</mark>

For the purposes of the present document, the [following] symbols [given in ... and the following] apply:

<mark>Symbol format</mark>

<mark>`&lt;symbol>    &lt;Explanation>`</mark>  
<mark>`&lt;2nd symbol>    &lt;2nd Explanation>`</mark>  
<mark>`&lt;3rd symbol>    &lt;3rd Explanation>`</mark>  

## 3.3 Abbreviations

<mark>Abbreviations should be ordered alphabetically.</mark>

<mark>Clause numbering depends on applicability.</mark>

For the purposes of the present document, the [following] abbreviations [given in ... and the following] apply:

<mark>Abbreviation format</mark>

<mark>`&lt;ABBREVIATION1>    &lt;Explanation>`</mark>  
<mark>`&lt;ABBREVIATION2>    &lt;Explanation>`</mark>  
<mark>`&lt;ABBREVIATION3>    &lt;Explanation>`</mark>    

# 4 Conventions

The key words "Shall", "Shall not", "May", "Need not", "Should", "Should not" in this document are to be interpreted as described in the oneM2M Drafting Rules <a href="#_ref_i.1">[i.1]</a>


# 5 User defined clause(s) from here onwards
&lt;Text>


## 5.1 User defined subdivisions of clause(s) from here onwards
&lt;Text>

<mark>The following text is to be used when appropriate:</mark>


# <mark>Proforma copyright release text block</mark>
<mark>This text box shall immediately follow after the heading of an element (i.e. clause or annex) containing a proforma or template which is intended to be copied by the user. Such an element shall always start on a new page.</mark>

<mark>Notwithstanding the provisions of the copyright clause related to the text of the present document, oneM2M grants that users of the present document may freely reproduce the &lt;proformatype> proforma in this {clause|annex} so that it can be used for its intended purposes and may further publish the completed &lt;proformatype>.</mark>

<mark>&lt;PAGE BREAK></mark>


## <mark>Annexes</mark>
<mark>Each annex shall start on a new page (insert a page break between annexes A and B, annexes B and C, etc.).<mark>

# Annex &lt;A>:<br />Title of annex 

&lt;Text>

<mark>&lt;PAGE BREAK></mark>

# Annex &lt;B>:<br />Title of annex

&lt;Text>

## <!--B.1-->    First clause of the annex

&lt;Text>

### B.1.1    First subdivided clause of the annex 

&lt;Text>

<mark>&lt;PAGE BREAK></mark>

# Annex &lt;y>:<br />Bibliography
<mark>The annex entitled "Bibliography" is optional.</mark>

<mark>It shall contain a list of standards, books, articles, or other sources on a particular subject which are not mentioned in the document itself.</mark>

<mark>It shall not include references mentioned in the document.</mark>


- <mark>&lt;Publication>: "&lt;Title>".</mark>

<mark>OR</mark>

<mark>&lt;Publication>: "&lt;Title>".</mark>

<mark>&lt;PAGE BREAK></mark>


# History
<mark>This clause shall be the last one in the document and list the main phases (all additional information will be removed at the publication stage).</mark>


+-------------------------------------------------------------------------------------+
|Publication history                                                                  |
+:======+:===============+:===========================================================+
|V1.1.1 |&lt;yyyy-mm-dd> |&lt;Milestone>                                              |
+-------+----------------+------------------------------------------------------------+
|       |                |                                                            |
+-------+----------------+------------------------------------------------------------+
|       |                |                                                            |
+-------+----------------+------------------------------------------------------------+

<mark> Draft history table to be removed on publication </mark>

+-------------------------------------------------------------------------------------+
|Draft history                                                                        |
+:======+:===============+:===========================================================+
|V1.1.1 |&lt;yyyy-mm-dd> |&lt;CR ID> applied - &lt;Summary of changes>                |
+-------+----------------+------------------------------------------------------------+
|       |                |                                                            |
+-------+----------------+------------------------------------------------------------+
|       |                |                                                            |
+-------+----------------+------------------------------------------------------------+



